#include <iostream>
#include <string>
using namespace std;

int main()
{
    string t;
    string s;
    cin>>t;
    cin>>s;
    int br=0;
    int x=s.length(),y=0;
    for(int i=0;i<t.length();i++){
        if(t[i]==s[0]){
            y++;
        }
        if(y>=x && t[i]==s[0]){
            t[i]='*';
            br++;
        }
    }
    cout<<br<<"\n"<<t;
    return 0;
}